<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class OrderController extends Controller
{
    public function __construct() {

	$this->shop = Auth::user();

    }

    // To create order view
    public function createOrder($status = [])
    {

        $prod  = $this->setProductDetails();
        $jsonProductDetails = json_encode($prod);
        $status = json_encode($status);

        return view('order', compact('jsonProductDetails'), compact('status'));
    }


// To set the shopify product details
    private function setProductDetails()
    {

        $vari = [];
        $prod['products'] = [];
        $prod  = [];
        $limit = 50;
        $nextLink = '';
        $previousLink = '';
        $prodCount = 0;

        do {

            try {

                if (empty($previousLink) && empty($nextLink)) {

                    $productDetails = $this->shop->api()->rest(
                        'GET',
                        '/admin/products.json',
                        ["published_status" => "published", "fields" =>
                        "id,title,variants", "limit" => $limit]
                    );
                     $previousLink = !empty($productDetails->link->previous) ?
                        $productDetails->link->previous : '';
                    $nextLink = !empty($productDetails->link->next) ?
                        $productDetails->link->next : '';
                } elseif (!empty($nextLink)) {

                    $params = [
                        "fields" => "id,title,variants", "limit" => $limit,
                        'page_info' => $nextLink
                    ];
                    $productDetails = $this->shop->api()->rest('GET', '/admin/products.json', $params);
                    $previousLink = !empty($productDetails->link->previous) ?
                        $productDetails->link->previous : '';
                    $nextLink = !empty($productDetails->link->next) ?
                        $productDetails->link->next : '';
                }
            } catch (Exception $e) {
                echo PHP_EOL . "Error when fetching the products from shopify and the error is -  "
                    . $e->getMessage();
                die;
            }

            $productDetails = $productDetails->body;

            if (!empty($productDetails)) {

                $subscription_product = array('1809168695367', '4359186350162');

                foreach ($productDetails->products as $products) {
                    if (in_array($products->id, $subscription_product)) {
                        continue;
                    }


                    foreach ($products->variants as $variants) {
                        $prodCount++;

                        $vari[$variants->id] = [
                            'id' => $variants->id,
                            'product_id' => $variants->product_id,
                            'title' => strip_tags($variants->title),
                            'sku' => $variants->sku,
                            'price' => $variants->price
                        ];
                    }
                    $prod['products'][$products->id] = [
                        'id' => $products->id,
                        'title' => strip_tags($products->title), 'variants' => $vari
                    ];
                    $vari = [];
                }
            }
            $count = count($productDetails->products);
            if (empty($nextLink)) {
                break;
            }
        } while ($limit == $count);

        return $prod;
    }
}
