
@extends('shopify-app::layouts.default')
@section('content')

<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="{{ URL::asset('css/bootstrap.min.css') }}">

<link
    rel="stylesheet"
    href="https://unpkg.com/@shopify/polaris@4.0.0/styles.min.css"/>

<style>
    .list-body {
        max-height: 300px;
        overflow-Y: scroll;
    }

    .list-pro {
        padding: 4px 15px;
        cursor: pointer;
    }

    .list-pro.active {
        background-color: #007bff;
        color: #ffffff;
    }
    .table-align {
        text-align:right;
    }
</style>
    
    <!--<input type="hidden" id="productDetailsJson" value = "">-->
    <div class="container">
    <h2>Order Creation</h2>
    <?php 
        if(isset($_GET['status'])){
    ?>
        <h6 class="text-success">The Order created successfully</h6>
    <?php
        }
    ?>
        <form action="{{ URL::asset('saveOrder') }}" method="POST">
            <div class="col-xl-12 card mb-4 pt-3 pb-3">
                <div class="row">
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="firstname-add">First Name</label>
                            <input type="text" class="form-control{{ $errors->has('firstName') ? ' is-invalid' : '' }}" id="firstname-add" name='firstName' value="{{old('firstName')}}">
                            @if ($errors->has('firstName'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('firstName') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-add">Last Name</label>
                            <input type="text" class="form-control{{ $errors->has('lastName') ? ' is-invalid' : '' }}" id="lastname-add" name='lastName' value="{{old('lastName')}}">
                            @if ($errors->has('lastName'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('lastName') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="email-add">Email Addrress</label>
                            <input type="email" class="form-control{{ $errors->has('email') ? ' is-invalid' : '' }}" id="email-add" name='email' value="{{old('email')}}">
                            @if ($errors->has('email'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('email') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-xl-12 card mb-4 pt-3 pb-3">
                <div class="row">
                    <div class="col-xl-12">
                        <h5>Billing</h5>
                    </div>

                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="firstname-bill">First Name</label>
                            <input type="text" class="form-control{{ $errors->has('billFirstname') ? ' is-invalid' : '' }}" id="firstname-bill" name="billFirstname" value="{{old('billFirstname')}}">
                            @if ($errors->has('billFirstname'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('billFirstname') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div> 
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Last Name</label>
                            <input type="text" class="form-control{{ $errors->has('billLastname') ? ' is-invalid' : '' }}" id="lastname-bill" name="billLastname" value="{{old('billLastname')}}">
                            @if ($errors->has('billLastname'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('billLastname') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Address 1</label>
                            <input type="text" class="form-control{{ $errors->has('billAddress1') ? ' is-invalid' : '' }}" id="lastname-bill" name="billAddress1" value="{{old('billAddress1')}}">
                            @if ($errors->has('billAddress1'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('billAddress1') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Address 2</label>
                            <input type="text" class="form-control{{ $errors->has('billAddress2') ? ' is-invalid' : '' }}" id="lastname-bill" name="billAddress2" value="{{old('billAddress2')}}">
                            @if ($errors->has('billAddress2'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('billAddress2') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">City</label>
                            <input type="text" class="form-control{{ $errors->has('billCity') ? ' is-invalid' : '' }}" id="lastname-bill" name="billCity" value="{{old('billCity')}}">
                            @if ($errors->has('billCity'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('billCity') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Province</label>
                            <input type="text" class="form-control{{ $errors->has('billProvince') ? ' is-invalid' : '' }}" id="lastname-bill" name="billProvince" value="{{old('billProvince')}}">
                            @if ($errors->has('billProvince'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('billProvince') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Country</label>
                            <input type="text" class="form-control{{ $errors->has('billCountry') ? ' is-invalid' : '' }}" id="lastname-bill" name="billCountry" value="{{old('billCountry')}}">
                            @if ($errors->has('billCountry'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('billCountry') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Zip</label>
                            <input type="text" class="form-control{{ $errors->has('billZip') ? ' is-invalid' : '' }}" id="lastname-bill" name="billZip" value="{{old('billZip')}}">
                            @if ($errors->has('billZip'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('billZip') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-xl-12 card mb-4 pt-3 pb-3">
                <div class="row">
                    <div class="col-xl-12">
                        <h5>Shipping</h5>
                    </div>

                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="firstname-ship">First Name</label>
                            <input type="text" class="form-control{{ $errors->has('shipFirstname') ? ' is-invalid' : '' }}" id="firstname-ship" name="shipFirstname" value="{{old('shipFirstname')}}">
                            @if ($errors->has('shipFirstname'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('shipFirstname') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-ship">Last Name</label>
                            <input type="text" class="form-control{{ $errors->has('shipLastname') ? ' is-invalid' : '' }}" id="lastname-ship" name="shipLastname" value="{{old('shipLastname')}}">
                            @if ($errors->has('shipLastname'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('shipLastname') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Address 1</label>
                            <input type="text" class="form-control{{ $errors->has('shipAddress1') ? ' is-invalid' : '' }}" id="lastname-bill" name="shipAddress1" value="{{old('shipAddress1')}}">
                            @if ($errors->has('shipAddress1'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('shipAddress1') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Address 2</label>
                            <input type="text" class="form-control{{ $errors->has('shipAddress2') ? ' is-invalid' : '' }}" id="lastname-bill" name="shipAddress2" value="{{old('shipAddress2')}}">
                            @if ($errors->has('shipAddress2'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('shipAddress2') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">City</label>
                            <input type="text" class="form-control{{ $errors->has('shipCity') ? ' is-invalid' : '' }}" id="lastname-bill" name="shipCity" value="{{old('shipCity')}}">
                            @if ($errors->has('shipCity'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('shipCity') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Province</label>
                            <input type="text" class="form-control{{ $errors->has('shipProvince') ? ' is-invalid' : '' }}" id="lastname-bill" name="shipProvince" value="{{old('shipProvince')}}">
                            @if ($errors->has('shipProvince'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('shipProvince') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Country</label>
                            <input type="text" class="form-control{{ $errors->has('shipCountry') ? ' is-invalid' : '' }}" id="lastname-bill" name="shipCountry" value="{{old('shipCountry')}}">
                            @if ($errors->has('shipCountry'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('shipCountry') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Zip</label>
                            <input type="text" class="form-control{{ $errors->has('shipZip') ? ' is-invalid' : '' }}" id="lastname-bill" name="shipZip" value="{{old('shipZip')}}">
                            @if ($errors->has('shipZip'))
                                <span class="invalid-feedback">
                                    <strong>{{ $errors->first('shipZip') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-xl-12 card mb-4 pt-3 pb-3">

                <div class="row">
                    <div class="col-xl-12">
                        <h4>Line Item Properties</h4>
                    </div>

                    <div class="col-xl-12 list-item">
                        <table  class="w-100" id="line-item-property">
                        </table>
                        <table  class="table" style="width:86%">
                            <tr>
                                
                                <td class="text-right"><label  id="total">Total&nbsp;&nbsp;&nbsp;&nbsp; <span id="total-p"></span><label></td>
                                
                            </tr>
                            
                        </table>
                        
                    </div>
                    <!-- <div class="col-xl-11  text-right">
                        <label  id="total">Total <span id="total-p"></span><label>

                    </div> -->
                    <div class="col-xl-12 text-right list-pop">
                        <!-- Button trigger modal -->
                        <button type="button" class="btn btn-primary " data-toggle="modal" data-target="#list-items">
                            Add Line Item
                        </button>

                        <!-- Modal -->
                        <div class="modal fade" id="list-items" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="exampleModalLabel">Line Items</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body list-body">
                                        <ul class="text-left list-unstyled">
                                            <?php
                                            $productDetails = json_decode($jsonProductDetails);

                                            foreach ($productDetails->products  as $product) {
                                                foreach ($product->variants as $variant) { ?>

                                                    
                                                    <li class="list-pro" data-product-id="<?= $product->id ?>" data-variant-id="<?= $variant->id ?>"><?= $product->title ?>
                                                        <?= strtolower($variant->title) == 'default title' ? '' : ' - ' . $variant->title ?></li>
                                            <?php }
                                            }
                                            ?>
                                        </ul>
                                    </div>
                                    <div class="modal-footer">
                                        <div class="row">
                                            <div class="col-5 col-md-5 col-xl-5 px-4">
                                                <div class="row">
                                                    <div class="form-group d-inline-block">
                                                        <label>Quantity</label>
                                                    </div>
                                                    <div class="col-8 col-xl-6 col-md-6">
                                                        <div class="form-group">
                                                            <input type="number" class="form-control" id="qty" value="1">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-7 col-md-7 col-xl-7">
                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                                                <button type="button" class="btn btn-primary add-property">Add</button>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <input type="hidden" class="form-control is-invalid">
                <span class="invalid-feedback">
                    <strong>{{ $errors->first('prod-variant-id') }}</strong>
                </span>
            </div>
            <button type="submit" class="btn btn-primary">Submit</button>
        </form>
    </div>


@endsection

@section('scripts')
    @parent

    <script src="{{ URL::asset('js/jquery.min.js') }}"></script>
    <script src="{{ URL::asset('js/bootstrap.min.js') }}"></script>
    <script src="{{ URL::asset('js/custom.js') }}"></script>

    <script type="text/javascript">
        var AppBridge = window['app-bridge'];
        var actions = AppBridge.actions;
        var TitleBar = actions.TitleBar;
        var Button = actions.Button;
        var Redirect = actions.Redirect;
        var titleBarOptions = {
            title: 'Order Creation',
        };
        var myTitleBar = TitleBar.create(app, titleBarOptions);
    </script>

    <script>
        var productDetailsJson = <?= $jsonProductDetails ?>;
        // var productJson = JSON.parse(productDetailsJson);
    </script>

@endsection